Skip site navigation (1) Skip section navigation (2)

Libpq is not a shared library on Mac OS X

From: Kenji Sugita <sugita(at)srapc1327(dot)sra(dot)co(dot)jp>
To: pgsql-bugs(at)postgresql(dot)org
Subject: Libpq is not a shared library on Mac OS X
Date: 2002-12-25 06:27:08
Message-ID: 20021225.152708.41648654.sugita@sra.co.jp (view raw or flat)
Thread:
Lists: pgsql-bugs
A libpq library on Mac OS X is made as a loadable library (bundle). Since a
shared library version (dylib) of libpq does not exist, all programs which 
use libpq are always linked with a static version of libpq.

Psql made by a current make rule:

    $ ls -l /opt/pgsql/7.3/bin/psql psql
    -rwxr-xr-x  1 sugita  admin  188616 Dec 22 01:25 /opt/pgsql/7.3/bin/psql
    $ otool -L /opt/pgsql/7.3/bin/psql
    /opt/pgsql/7.3/bin/psql:
	    /usr/lib/libz.1.1.3.dylib (compatibility version 1.0.0, current version 1.1.3)
	    /usr/local/lib/libreadline.4.1.dylib (compatibility version 4.0.0, current version 4.1.0)
	    /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 63.0.0)
    $

Psql made by a handmade shared library:

    $ ls -l psql 
    -rwxr-xr-x  1 sugita  wheel  138732 Dec 22 01:34 psql*
    $ otool -L psql 
    psql:
	    libpq.2.2.dylib (compatibility version 2.0.0, current version 2.2.0)
	    /usr/lib/libz.1.1.3.dylib (compatibility version 1.0.0, current version 1.1.3)
	    /usr/local/lib/libreadline.4.1.dylib (compatibility version 4.0.0, current version 4.1.0)
	    /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 63.0.0)
    $ 


Kenji Sugita

Responses

pgsql-bugs by date

Next:From: pgsql-bugsDate: 2002-12-25 08:46:06
Subject: Bug #856: coredump
Previous:From: Kenji SugitaDate: 2002-12-25 06:17:57
Subject: Changes in functions bittoint4 and bitfromint4 - Function bit does not work

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group